Python (SDK)
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.mcp_vault.create_server(name="Linear", server_label="linear", server_url_="https://mcp.linear.app/mcp", allowed_tools=[
"issues.list",
], require_approval="always")
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.mcpVault.createServer({
createMcpServerRequest: {
name: "Linear",
serverLabel: "linear",
serverUrl: "https://mcp.linear.app/mcp",
allowedTools: [
"issues.list",
],
requireApproval: "always",
},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
using System.Collections.Generic;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Llm.McpVault.CreateServerAsync(body: new MeetKai.MKA1.Types.Components.CreateMcpServerRequest() {
Name = "Linear",
ServerLabel = "linear",
ServerUrl = "https://mcp.linear.app/mcp",
AllowedTools = MCPAllowedToolsUnion.CreateArrayOfStr(
new List<string>() {
"issues.list",
}
),
RequireApproval = MCPRequireApproval.Always,
});
// handle responsecurl --request POST \
--url https://apigw.mka1.com/api/v1/llm/mcp/servers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Linear",
"server_label": "linear",
"server_url": "https://mcp.linear.app/mcp",
"allowed_tools": [
"issues.list"
],
"require_approval": "always"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Linear',
server_label: 'linear',
server_url: 'https://mcp.linear.app/mcp',
allowed_tools: ['issues.list'],
require_approval: 'always'
})
};
fetch('https://apigw.mka1.com/api/v1/llm/mcp/servers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "mcp_srv_aa87e2b1112a455b8deabed784372198",
"object": "mcp.server",
"name": "Linear",
"server_label": "linear",
"server_url": "https://mcp.linear.app/mcp",
"server_description": "Linear MCP server",
"allowed_tools": [
"issues.list"
],
"require_approval": "always",
"metadata": {},
"created_at": "2026-04-29T12:00:00.000Z",
"updated_at": "2026-04-29T12:00:00.000Z"
}MCP Vault
Create MCP server
Creates a user-owned MCP server configuration. Secret credentials are stored separately.
POST
/
api
/
v1
/
llm
/
mcp
/
servers
Python (SDK)
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.mcp_vault.create_server(name="Linear", server_label="linear", server_url_="https://mcp.linear.app/mcp", allowed_tools=[
"issues.list",
], require_approval="always")
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.mcpVault.createServer({
createMcpServerRequest: {
name: "Linear",
serverLabel: "linear",
serverUrl: "https://mcp.linear.app/mcp",
allowedTools: [
"issues.list",
],
requireApproval: "always",
},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
using System.Collections.Generic;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Llm.McpVault.CreateServerAsync(body: new MeetKai.MKA1.Types.Components.CreateMcpServerRequest() {
Name = "Linear",
ServerLabel = "linear",
ServerUrl = "https://mcp.linear.app/mcp",
AllowedTools = MCPAllowedToolsUnion.CreateArrayOfStr(
new List<string>() {
"issues.list",
}
),
RequireApproval = MCPRequireApproval.Always,
});
// handle responseAuthorizations
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Headers
Optional external end-user identifier forwarded by the API gateway.
Body
application/json
Required string length:
1 - 255Required string length:
1 - 255Pattern:
^[A-Za-z0-9._-]+$Maximum string length:
2048Maximum string length:
10000Available options:
always, never Show child attributes
Show child attributes
Response
201 - application/json
OK
Available options:
always, never Show child attributes
Show child attributes
Was this page helpful?
⌘I